OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.AMD.OcclusionQueryEvent

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDOcclusionQueryEvent :: MonadIO m => m Bool
- gl_AMD_occlusion_query_event :: Bool
- pattern GL_OCCLUSION_QUERY_EVENT_MASK_AMD :: GLenum
- pattern GL_QUERY_ALL_EVENT_BITS_AMD :: GLbitfield
- pattern GL_QUERY_DEPTH_BOUNDS_FAIL_EVENT_BIT_AMD :: GLbitfield
- pattern GL_QUERY_DEPTH_FAIL_EVENT_BIT_AMD :: GLbitfield
- pattern GL_QUERY_DEPTH_PASS_EVENT_BIT_AMD :: GLbitfield
- pattern GL_QUERY_STENCIL_FAIL_EVENT_BIT_AMD :: GLbitfield
- glQueryObjectParameteruiAMD :: MonadIO m => GLenum -> GLuint -> GLenum -> GLuint -> m ()

# Extension Support

glGetAMDOcclusionQueryEvent :: MonadIO m => m Bool Source #

Is the AMD_occlusion_query_event extension supported?

gl_AMD_occlusion_query_event :: Bool Source #

Is the AMD_occlusion_query_event extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDOcclusionQueryEvent` in those cases instead.

# Enums

pattern GL_OCCLUSION_QUERY_EVENT_MASK_AMD :: GLenum Source #

pattern GL_QUERY_ALL_EVENT_BITS_AMD :: GLbitfield Source #

pattern GL_QUERY_DEPTH_BOUNDS_FAIL_EVENT_BIT_AMD :: GLbitfield Source #

pattern GL_QUERY_DEPTH_FAIL_EVENT_BIT_AMD :: GLbitfield Source #

pattern GL_QUERY_DEPTH_PASS_EVENT_BIT_AMD :: GLbitfield Source #

pattern GL_QUERY_STENCIL_FAIL_EVENT_BIT_AMD :: GLbitfield Source #

# Functions

glQueryObjectParameteruiAMD Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> GLuint | `id`.
-> GLenum | `pname`.
-> GLuint | `param` of type OcclusionQueryEventMaskAMD.
-> m () |